Module java.base
Package java.nio.channels

## Class IllegalSelectorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.nio.channels.IllegalSelectorException

All Implemented Interfaces:
  `Serializable`

    public class IllegalSelectorException
    extends IllegalArgumentException

Unchecked exception thrown when an attempt is made to register a channel with a selector that was not created by the provider that created the channel.

Since:
  1.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
`IllegalSelectorException()` Constructs an instance of this class.

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IllegalSelectorException

    public IllegalSelectorException()

Constructs an instance of this class.